<?php

namespace App\Models\Enums;

enum ArmorSubTypesEnum: int
{
    case ARMOR_BODY = 0;
    case ARMOR_HEAD = 1;
    case ARMOR_SHIELD = 2;
    case ARMOR_WRIST = 3;
    case ARMOR_FOOTS = 4;
    case ARMOR_NECK = 5;
    case ARMOR_EAR = 6;
    case ARMOR_NUM_TYPES = 7;

    public function getLabel(): string
    {
        return $this->name;
    }
}
